Name:                jaxb2-maven-plugin
Version:             1.6
Release:             1
Summary:             JAXB-2 Maven Plugin
License:             ASL 2.0
Url:                 http://www.mojohaus.org/jaxb2-maven-plugin/
Source0:             https://repo.maven.apache.org/maven2/org/codehaus/mojo/jaxb2-maven-plugin/%{version}/jaxb2-maven-plugin-%{version}-source-release.zip

BuildRequires:       mojo-parent glassfish-jaxb mvn(org.apache.maven:maven-artifact)
BuildRequires:       mvn(org.apache.maven:maven-compat) mvn(org.apache.maven:maven-core)
BuildRequires:       mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:       aopalliance cglib junit maven-plugin-testing-harness xmlunit
BuildRequires:       maven-local maven-invoker-plugin maven-plugin-plugin
BuildArch:           noarch

%description
Mojo's JAXB-2 Maven plugin is used to create an object graph from
XSDs based on the JAXB 2.1 implementation and to generate XSDs from
JAXB-annotated Java classes.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
sed -i 's/\r//' LICENSE.txt
# used only mvn3 apis
%pom_remove_dep org.apache.maven:maven-project
%pom_add_dep org.apache.maven:maven-compat
# missing build deps
# om_add_dep org.glassfish.jaxb:jaxb-runtime
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId ='jaxb-jxc']/pom:groupId" org.glassfish.jaxb
%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId ='jaxb-xjc']/pom:groupId" org.glassfish.jaxb
# missing test deps
%pom_add_dep aopalliance:aopalliance::test
%pom_add_dep net.sf.cglib:cglib::test
# Disable integration tests
%pom_xpath_remove "pom:profiles"
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Aug 11 2020 maminjie <maminjie1@huawei.com> - 1.6-1
- package init
